%define name tinycobol
%define version 0.3
%define release 4mdk


Summary: The Tiny COBOL compiler
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Other
Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-buildroot
URL: http://tiny-cobol.sourceforge.net/

%description
The TinyCOBOL project is a COBOL compiler being actively developed by
members of the free software community. It is being developed on the Linux
OS, using a mix of C and LEX/YACC. It generates GNU assembler code, and thus
requires the GNU assembler and linker programs to create an executable
binary - only the Linux IA32 platform is currently supported. The long term
goal is to produce a COBOL compiler which is ANSI COBOL 85 compliant, or at
least as close possible to it. In order to better integrate the compiler
with the Linux OS environment, it has the following capabilities, using
COBOL language extensions: Read from from standard input and write to
standard output/error; Read command line parameters; Read environmental
parameters; Set a file name at run time; Set a program's return code.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure

%make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/


%make prefix=$RPM_BUILD_ROOT%{_prefix} INSTBIN=$RPM_BUILD_ROOT%{_bindir} INSTRC=$RPM_BUILD_ROOT%{_prefix} \
	lib_dir=$RPM_BUILD_ROOT%{_libdir} install

%files
%defattr (-,root,root)
%{_bindir}/*
%{_libdir}/*
%{_prefix}/cobopt
%doc AUTHORS BUGS CHANGES COPYING COPYING.LIB COPYRIGHT
%doc ChangeLog HISTORY INSTALL INSTALL.bin README TODO
%doc info test.code test_suite tinycobol.lsm utils/Readme.txt
%doc utils/cobpp/AUTHORS utils/cobpp/COPYING utils/cobpp/COPYRIGHT
%doc utils/cobpp/Readme.txt info

%changelog
* Mon Oct 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-4mdk
- wrap description ( thx Alexander :) )

* Fri Oct 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-3mdk
- add URL 
- here to give you good - who said bad ? - memories...

* Fri Oct 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-2mdk
- update description

* Fri Oct 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk
- new in contribs
- here to give you good - who said bad ? - memoires...
